﻿Shader "Custom/Wobble" {
    Properties {
      _MainTex ("Texture", 2D) = "white" {}
      _Amount ("Extrusion Amount", Range(-1,1)) = 0.5
      _Freq ("Frequency", Range(0,100)) = 1
      
    }
    SubShader {
      Tags { "RenderType" = "Opaque" }
      CGPROGRAM
      #pragma surface surf Lambert vertex:vert
      struct Input {
          float2 uv_MainTex;
      };
      float _Amount;
      float _Freq;
      void vert (inout appdata_full v) {
          v.vertex.xyz +=sin(_Time.y*_Freq*v.texcoord.y)*_Amount* float3(1,0,0) ;
      }
      
      sampler2D _MainTex;
      void surf (Input IN, inout SurfaceOutput o) {
          o.Albedo = tex2D (_MainTex, IN.uv_MainTex).rgb;
      }
      ENDCG
    } 
    Fallback "Diffuse"
  }